<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  </head>
  <title>Tchache</title>
</head>
<body>

  <nav class="navbar navbar-expand-md navbar-dark bg-dark">

    <a class="navbar-brand mr-auto" href="#">Tchatche</a>

    <form class="form-inline" action="/login" method="post">
      <input class="form-control m-1" type="text" name="user" placeholder="Nom">
      <input class="form-control m-1" type="password" name="password" placeholder="Mot de passe">
      <input class="form-control btn btn-secondary m-1" type="submit" value="Se connecter">
    </form>

  </nav>

  <main role="main">

    <div class="jumbotron">
      <div class="container">
        <h1> Bienvenue sur le serveur de tchatche </h1>
        <img height="64" class="float-left mr-2" src="https://svgsilh.com/svg/309417-007bff.svg">
        Ce serveur permet de discuter en toute tranquilité avec vos amis. 
        Il est plutôt cool en terme de RGPD car il ne vend pas les données de ses utilisateurs à des tiers.
        C'est vraiment un super logiciel conçu spécialement pour vous.
      </div>
    </div>

    {{#info}}
      <div class="container">
        <div class="alert alert-{{info.type}}"> {{info.text}} </div>
      </div>
    {{/info}}

    <div class="container mb-3">

      <h2> Créer un utilisateur </h2>
      <p>
      Cet utilisateur pourra se connecter, voir les messages et en écrire lui-même, si si.
      Si vous comptez dévoiler quelque chose d'incroyable, n'hésitez pas à prendre un pseudonyme.
      </p>

      <form class="form-inline" action="/new_user" method="post">
        <input class="form-control m-1" type="text" name="user" placeholder="Nom">
        <input class="form-control m-1" type="password" name="password" placeholder="Mot de passe">
        <input class="form-control m-1" type="password" name="confirm_password" placeholder="Confirmer">
        <input class="form-control btn btn-primary m-1" type="submit" value="Nouvel utilisateur">
      </form>

    </div>

  </div>

</body>
</html>
